Bug 1609326 - [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, these will be ignored: Redhat-logo.svg, ...
Summary: [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, ...
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.6.0
Assignee: Ivan Necas
QA Contact: vijsingh
URL:
Whiteboard:
Keywords: Triaged
: 1623046 (view as bug list)
Depends On:
Blocks: 1122832 1619394
TreeView+ depends on / blocked
 
Reported: 2018-07-27 15:07 UTC by Jan Hutař
Modified: 2019-05-21 14:21 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 24481 None None None 2018-07-30 15:50 UTC

Description Jan Hutař 2018-07-27 15:07:34 UTC
Description of problem:
When I'm registering system (via bootstrap.py), I have noticed these warnings in the production.log:

2018-07-27T17:00:10 [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, these will be ignored: Redhat-logo.svg, favicon.ico, header_logo.svg, login_bg.jpg, login_logo.svg, theme_client_side_branding.js.erb, theme_dashboard.js, satellite/bastion.scss, satellite/colors.scss, satellite/login.scss, satellite/patternfly_and_overrides.scss, satellite/topbar.scss, satellite/wizard.scss, theme.scss


Version-Release number of selected component (if applicable):
satellite-6.4.0-10.beta.el7sat.noarch (snap 12)


How reproducible:
noticed 4 of these during registration of 50 hosts (concurrently)


Steps to Reproduce:
1. Concurrently register 50 hosts with bootstrap:
   # python /root/bootstrap.py  --server "$SATSERVER" --login "$SATUSER" --password "$SATPASS" --org "Default Organization" --location "Default Location" --activationkey "ActivationKey" --skip "puppet" --hostgroup "HostGroup" --operatingsystem "RedHat 6.10" --force --add-domain
2. Meanwhile tail log on the Satellite:
   # tail -f /var/log/foreman/production.log | grep -v -e '\[I' -e 'Response: 2'


Actual results:
Warning appears in the production.log


Expected results:
There should be no warnings in the production.log


Additional info:
I assume this is not connected to actual hosts registrations, but to the fact that during the process Ruby/Passenger/...(?) spawns new workers so maybe this could happen at start time as well?

Comment 1 Jan Hutař 2018-07-27 18:06:09 UTC
Also there is:

2018-07-27T19:00:34 [W|app|] Plugin redhat_access has assets outside of its namespace, these will be ignored: insights/app.module.js, insights/application.js, insights/configuration.controller.js, insights/configuration.service.js, insights/views/configuration.html, insights/views/error.html, insights/views/help.html, insights/application.css, insights/insights.css

Should it go into different BZ?

Comment 3 Ivan Necas 2018-07-30 15:35:13 UTC
Yes: the insights one should be in separate BZ for the insights.

Comment 4 Ivan Necas 2018-07-30 15:47:29 UTC
Since the issue is actually not affecting the functionality, perhaps the right approach is to change the log message from 'warn' to 'debug'

Comment 5 Ivan Necas 2018-07-30 15:50:04 UTC
Created redmine issue https://projects.theforeman.org/issues/24481 from this bug

Comment 6 Ivan Necas 2018-07-30 15:59:04 UTC
These are just red herrings, and hove nothing to do with the registration process or that they should cause any problems. I've proposed to change the log level in upstream so that we don't pollute the production log.

Comment 7 pm-sat@redhat.com 2018-07-30 16:13:20 UTC
Upstream bug assigned to inecas@redhat.com

Comment 8 pm-sat@redhat.com 2018-07-30 16:13:23 UTC
Upstream bug assigned to inecas@redhat.com

Comment 9 Jan Hutař 2018-08-01 11:28:58 UTC
New one reported as bug 1610746

Comment 10 Ivan Necas 2018-08-28 14:24:02 UTC
*** Bug 1623046 has been marked as a duplicate of this bug. ***

Comment 11 Bryan Kearney 2019-01-07 21:18:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24481 has been resolved.

Comment 12 Ben 2019-02-20 11:10:38 UTC
I'm seeing both the foreman_theme_satellite and redhat_access plugin assets issue in 6.4.2.  Is there an ETA on a fix?

Comment 13 Peter Vreman 2019-03-08 15:30:54 UTC
Still seeing this in 6.5.0

2019-03-08T14:30:08 [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, these will be ignored: Redhat-logo.svg, favicon.ico, header_logo.svg, login_bg.jpg, login_logo.svg, theme-navbar.png, theme_client_side_branding.js.erb, theme_dashboard.js, satellite/application_colors.css, satellite/bastion.scss, satellite/bundle_colors.css, satellite/login.scss, satellite/patternfly_and_overrides.scss, satellite/topbar.scss, satellite/wizard.scss, theme.scss
2019-03-08T14:30:09 [W|app|] Plugin foreman_theme_satellite has assets outside of its namespace, these will be ignored: Redhat-logo.svg, favicon.ico, header_logo.svg, login_bg.jpg, login_logo.svg, theme-navbar.png, theme_client_side_branding.js.erb, theme_dashboard.js, satellite/application_colors.css, satellite/bastion.scss, satellite/bundle_colors.css, satellite/login.scss, satellite/patternfly_and_overrides.scss, satellite/topbar.scss, satellite/wizard.scss, theme.scss
2019-03-08T14:30:18 [W|app|] Plugin redhat_access has assets outside of its namespace, these will be ignored: insights/app.module.js, insights/application.js, insights/configuration.controller.js, insights/configuration.service.js, insights/views/configuration.html, insights/views/error.html, insights/views/help.html, insights/application.css, insights/insights.css
2019-03-08T14:30:18 [W|app|] Plugin redhat_access has assets outside of its namespace, these will be ignored: insights/app.module.js, insights/application.js, insights/configuration.controller.js, insights/configuration.service.js, insights/views/configuration.html, insights/views/error.html, insights/views/help.html, insights/application.css, insights/insights.css

Comment 15 vijsingh 2019-05-21 14:18:14 UTC
ON_QA Verified

@Satellite 6.6.0 snap 3.0

Steps:
 
 1. Clean browser's cache
 2. Restart satellite
 3. Browse few Katello pages
 4. Browse few Foreman pages
 5. Grep logs for "assets outside of its namespace"

Observation:

 - No message seen around 'Plugin foreman_theme_satellite has assets outside of its namespace' in production.log


Note You need to log in before you can comment on or make changes to this bug.